package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/8/6 17:03
 * @Description:
 **/
public class DicCoalConsumeCategory {

    public  static final String LIVING="生活";
    public  static final String INDUSTRY="工业";
    public  static final String ELECTRICCAR="发电";
    private static DicCoalConsumeCategory instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicCoalConsumeCategory(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(LIVING, LIVING);
        dicMap.put(INDUSTRY, INDUSTRY);
        dicMap.put(ELECTRICCAR, ELECTRICCAR);
    }

    public static DicCoalConsumeCategory getInstacne(){
        if (instance == null)
        {
            instance = new DicCoalConsumeCategory();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
